Question to Change Gambas 3.15.2 to 3.18.0

Questions and info about the Gambas IDE itself and not what you are making with it.
(not bug reports)
Post Reply
User avatar
gambafeliz
Posts: 144
Joined: Friday 2nd September 2022 7:50pm
Location: I live in the same city as Picasso

Question to Change Gambas 3.15.2 to 3.18.0

Post by gambafeliz »

Hello

I have Gambas IDE 3.15.2 and I would like to install version 3.18.0 but I have a program that I have developed that I don't want to mess up. And I was wondering if it will happen if I upgrade to version 3.18.0

Someone tells me possible problems from one version to the other, which from your experience will happen either way or yes.

Thank you.
For your misfortunes I am Spanish and I only know Spanish, please, be patient with me, Thank you. :)
User avatar
thatbruce
Posts: 195
Joined: Saturday 4th September 2021 11:29pm

Re: Question to Change Gambas 3.15.2 to 3.18.0

Post by thatbruce »

Backwards compatibility is guaranteed, except when it doesn't work. :mrgreen:

Maybe you could post your project and some (most) of us on later versions could try it for you.
You could also update via git source and thereby get the ability to roll back.
Have you ever noticed that software is never advertised using the adjective "spreadable".
User avatar
gambafeliz
Posts: 144
Joined: Friday 2nd September 2022 7:50pm
Location: I live in the same city as Picasso

Re: Question to Change Gambas 3.15.2 to 3.18.0

Post by gambafeliz »

Hello

It just occurred to me that I am going to create a virtual machine and I am going to simulate the Debian 12 operating system and upload the project to Gambas IDE

I apologize but I had not realized it until now, as it is not something I do every day because I had not thought about it.

Thank you
For your misfortunes I am Spanish and I only know Spanish, please, be patient with me, Thank you. :)
User avatar
BruceSteers
Posts: 1689
Joined: Thursday 23rd July 2020 5:20pm
Location: Isle of Wight
Contact:

Re: Question to Change Gambas 3.15.2 to 3.18.0

Post by BruceSteers »

It should be a simple case of loading the project into the newer gambas IDE and making the .gambas executable again.
(ps, hit the "compile all" button too so the binaries are recompiled)

At worse you may get a notification that you're using something that is depreciated but that won't stop things working as normal.
most of the time everything is fine.

If there is a problem then running in the IDE via the debugger should help you track anything down, 3.15 is quite old, better to keep up with the latest.

Try it and see :)

a VM would be slow,
chances are your program will compile just fine on newer gambas.
If at first you don't succeed , try doing something differently.
BruceS
User avatar
gambafeliz
Posts: 144
Joined: Friday 2nd September 2022 7:50pm
Location: I live in the same city as Picasso

Re: Question to Change Gambas 3.15.2 to 3.18.0

Post by gambafeliz »

Thank you, BruceSteers
For your misfortunes I am Spanish and I only know Spanish, please, be patient with me, Thank you. :)
Post Reply